Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
glob_args Struct Reference

## Data Fields
void(* | func )(const char *, VALUE, void *)
const char * | path
VALUE | value
rb_encoding * | enc

## Detailed Description

Definition at line 1284 of file dir.c.

## Field Documentation

rb_encoding* glob_args::enc

Definition at line 1288 of file dir.c.

Referenced by glob_func_caller(), push_glob(), and rb_glob2().

void(* glob_args::func)(const char *, VALUE, void *)

Definition at line 1285 of file dir.c.

Referenced by glob_func_caller(), push_glob(), and rb_glob2().

const char* glob_args::path

Definition at line 1286 of file dir.c.

Referenced by glob_func_caller(), and rb_glob_caller().

VALUE glob_args::value

Definition at line 1287 of file dir.c.

Referenced by glob_func_caller(), push_glob(), and rb_glob2().

The documentation for this struct was generated from the following file:

- dir.c